GET/cosmos/staking/v1beta1/validators/{validator_addr}/delegations

https://rest-sei-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/delegations

Retrieves delegation information for the given validator.

Path Parameters
validator_addrstringrequired

Validator address to query.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
delegationobject

Delegation information for tokens held by the account. Owned by a single delegator and linked to the voting power of a single validator.

delegator_addressstring

delegator_address is the encoded address of the delegator.

validator_addressstring

Encoded address of the validator.

sharesstring

shares define the delegation shares received.

balanceobject

Coin defines a token with a denomination and an amount.

NOTE: The amount field is an Int which implements the custom method signatures required by gogoproto.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU35
cURL
curl -X GET "https://rest-sei-mainnet.nodit.io/cosmos/staking/v1beta1/validators/string/delegations?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "delegation_responses": [
    {
      "delegation": {
        "delegator_address": "string",
        "validator_address": "string",
        "shares": "string"
      },
      "balance": {
        "denom": "string",
        "amount": "string"
      }
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}